Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class DateType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MomentType
          be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.DateType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class DateType

extends MomentType
implements Serializable

Java class for dateType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="dateType">
       <complexContent>
         <restriction base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}momentType">
           <choice>
             <choice>
               <element name="year" type="{http://www.w3.org/2001/XMLSchema}gYear"/>
               <element name="yearmonth" type="{http://www.w3.org/2001/XMLSchema}gYearMonth"/>
             </choice>
             <sequence>
               <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
             </sequence>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DateType()`

Method Summary

Methods inherited from class be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MomentType
`getDate, getText, getTime, getYear, getYearmonth, setDate, setText, setTime, setYear, setYearmonth`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateType

    public DateType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.